MDEntry (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Class MDEntry

- java.lang.Object
- - com.marketfactory.zerogc.api.MDEntry

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<MDEntry>

      public final class MDEntry
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<MDEntry>, java.io.Serializable

  A market data entry, which indicates how to update a book.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` Amount of this entry.
    `MFString` | `components` For aggregated feeds, a string representation of the components of liquidity.
    `MDElement` | `element` Kind of element this entry is.
    `MFFloat` | `minAmount` Amount that represents the small amount than can be executed against for this MDEntry.
    `short` | `numberOfOrders` For aggregated books, when we get notified of a price level, this is the number of orders.
    `MFFloat` | `price` Price of this entry.
    `Side` | `side` Which side the entry is for.
    `byte` | `source` A bitmask that provides hints regarding what data was used to produce this entry (vanilla market entry, or enhanced).
    `MDUpdateAction` | `updateAction` The action to apply for incremental updates.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MDEntry()`
    `` | `MDEntry(MFFloat price, MFFloat amount, MFFloat minAmount, MDUpdateAction updateAction, MDElement element, Side side, byte source, short numberOfOrders, MFString components)`
    `protected` | `MDEntry(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MDEntry rhs)`
    `void` | `deepCopy(MDEntry src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### price

          public MFFloat price

      Price of this entry. If this is a structured entry, the price may be invalid.

    - #### amount

          public MFFloat amount

      Amount of this entry. If this is a structured entry, the amount may be invalid.

    - #### minAmount

          public MFFloat minAmount

      Amount that represents the small amount than can be executed against for this MDEntry.

    - #### updateAction

          public MDUpdateAction updateAction

      The action to apply for incremental updates. The action value is irrelevant for snapshot entries.

    - #### element

          public MDElement element

      Kind of element this entry is.

    - #### side

          public Side side

      Which side the entry is for.

    - #### source

          public byte source

      A bitmask that provides hints regarding what data was used to produce this entry (vanilla market entry, or enhanced). @see MDSource enum for possible bit values.

    - #### numberOfOrders

          public short numberOfOrders

      For aggregated books, when we get notified of a price level, this is the number of orders.

    - #### components

          public MFString components

      For aggregated feeds, a string representation of the components of liquidity.

  - ### Constructor Detail

    - #### MDEntry

          public MDEntry()

    - #### MDEntry

          protected MDEntry(ZeroGCProtoByteBuffer buffer)

    - #### MDEntry

          public MDEntry(MFFloat price,
                         MFFloat amount,
                         MFFloat minAmount,
                         MDUpdateAction updateAction,
                         MDElement element,
                         Side side,
                         byte source,
                         short numberOfOrders,
                         MFString components)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(MDEntry src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(MDEntry rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MDEntry>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)